.map-marker {
    border-radius: 50%;
    box-sizing: border-box;
    background-color: #303030;
    text-align: center;
    cursor: pointer;
    position: relative;
    line-height: 0;
    float: left;

    .map-marker-content {
        padding: 20% 0;
    }

    .mmk-notify {
        position: absolute;
        top: -15%;
        left: -15%;
        background-color: red;
        padding: 8%;
        z-index: 2;
        border-radius: 20%;
        width: 55%;
        height: 55%;
        box-sizing: border-box;
        line-height: 0;

        animation: 1s linear .1s changeZoom;
        animation-iteration-count: infinite;
        animation-direction: alternate;
    }
}

@keyframes changeZoom {
    from {
        zoom: 1.5;
    }

    to {
        zoom: 1;
    }
}

.map-marker-distance {
    float: right;
    margin-left: 10px;
    margin-top: 4px;
    border-radius: 5px;
    background-color: #303030;
    text-align: center;
    vertical-align: middle;
    color: #F49304;
    border: 1px solid #F49304;
    height: 32px;
    line-height: 32px;
    font-size: 16px;
    padding: 0 5px;
}
